White Label Admin - Get white label information
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>",
"whitelabel": {
"id": 123,
"name": "<string>",
"domain": "<string>",
"themeId": 123,
"identityProviders": [
"<string>"
],
"allowPasswordAuth": true,
"deploymentTargets": [
"<string>"
],
"allDeploymentTargets": [
"<string>"
],
"allowSignup": true,
"allowFreeProjects": true,
"supportedProjectTypes": [],
"allowNewProjectUi": true,
"learningBlocks": [
"<string>"
],
"allLearningBlocks": [
{
"title": "<string>",
"type": "<string>"
}
],
"developmentBoards": [
{
"id": 123,
"name": "<string>",
"image": "<string>",
"docsUrl": "<string>"
}
],
"allDevelopmentBoards": [
{
"id": 123,
"name": "<string>",
"image": "<string>",
"docsUrl": "<string>"
}
],
"ownerOrganizationId": 123,
"theme": {
"id": 123,
"name": "<string>",
"favicon": {
"favicon32": "<string>",
"favicon57": "<string>",
"favicon76": "<string>",
"favicon96": "<string>",
"favicon120": "<string>",
"favicon128": "<string>",
"favicon144": "<string>",
"favicon152": "<string>",
"favicon180": "<string>",
"favicon228": "<string>"
},
"logos": {
"primary": "<string>",
"primaryPng": "<string>",
"primaryWhite": "<string>",
"loginLogo": "<string>",
"loginLogoWhite": "<string>",
"mark": "<string>",
"markWhite": "<string>",
"deviceLogo": "<string>"
},
"colors": {
"primaryColor": "<string>",
"primaryColorRgb": [
123
],
"primaryColorGradientEnd": "<string>"
},
"ownerUserId": 123,
"ownerOrganizationId": 123
},
"customDeploymentBlocks": [
{
"name": "<string>",
"id": 123
}
],
"deploymentOptionsOrder": [
"org-1"
],
"exposePublicProjects": true,
"defaultDeploymentTarget": "C++ Library",
"organizationsLimit": 123,
"disablePublicEntities": true,
"disableMarketingFeatures": true,
"disableForumAccess": true,
"customLimits": {}
}
}White Label Admin - Get white label information
White label admin only API to get the white label information.
GET
/
api
/
organizations
/
{organizationId}
/
whitelabel
White Label Admin - Get white label information
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Was this page helpful?
⌘I